### Method

# Adw MessageDialogset_default_response

since: 1.2

#### Declaration [src]

    void
    adw_message_dialog_set_default_response (
      AdwMessageDialog* self,
      const char* response
    )

#### Description [src]

Sets the ID of the default response of `self`.

If set, pressing `Enter` will activate the corresponding button.

If set to `NULL` or to a non-existent response ID, pressing `Enter` will do nothing.

Available since: 1.2

Sets property | `Adw.MessageDialog:default-response`

#### Parameters

`response`

  Type: `const char*`

  The default response ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.